MessageEventHandler Class Referenceabstract

`#include <messageeventhandler.h>`

## Public Member Functions

virtual | ~MessageEventHandler ()
virtual void | handleMessageEvent (const JID &from, MessageEventType event)=0

## Detailed Description

A virtual interface that enables an object to be notified about Message Events (XEP-0022).

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  0.8

Definition at line 31 of file messageeventhandler.h.

## Constructor & Destructor Documentation

## ~MessageEventHandler()

virtual ~MessageEventHandler | ( |  | ) |

inline virtual

Virtual Destructor.

Definition at line 37 of file messageeventhandler.h.

## Member Function Documentation

## handleMessageEvent()

virtual void handleMessageEvent | ( | const JID & | from,
|  | MessageEventType | event )

pure virtual

Notifies the MessageEventHandler that an event has been raised by the remote contact.

Parameters

  from | The originator of the Event.
  event | The Event which has been raised.

The documentation for this class was generated from the following file:

- messageeventhandler.h